# StakingV1\_1

#### **`upgrade`**

Upgrades all codes and main data related to staking version v1.1.

```
function upgrade(TvmCell code, address send_gas_to) external onlyAdmin
```

**Parameters:**

| Name          | Type    | Description                         |
| ------------- | ------- | ----------------------------------- |
| code          | TvmCell | Staking V1\_1 platform’s code       |
| send\_gas\_to | address | Address where to send remaining gas |

#### **`sendRelaysToRelayRound`**

Sets relayers to the specific round.

```
function sendRelaysToRelayRound(
        uint32 relay_round,
        uint256[] _ton_keys,
        uint160[] _eth_addrs,
        address[] _staker_addrs,
        uint128[] _staked_tokens
    ) external onlyAdmin
```

**Parameters:**

| Name             | Type       | Description                          |
| ---------------- | ---------- | ------------------------------------ |
| relay\_round     | uint32     | relayer round id                     |
| \_ton\_keys      | uint256\[] | List of ton accounts’ public keys    |
| \_eth\_addrs     | uint160\[] | List of ethereum accounts’ addresses |
| \_staker\_addrs  | address\[] | List of stakers’ address             |
| \_staked\_tokens | uint128\[] | List of amounts of staked tokens     |

#### **`onCodeUpgrade`**

After the code upgrade, this method emits the StakingUpdated event.

```
function onCodeUpgrade(TvmCell upgrade_data) private
```

**Parameters:**

| Name          | Type    | Description                           |
| ------------- | ------- | ------------------------------------- |
| upgrade\_data | TvmCell | Upgraded election data in cell format |

**Events emitted:**

* StakingUpdated


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.octusbridge.io/integrate/octus-bridge-contracts/everscale/staking-section/staking-v1-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
